(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['remote-debug'] = {}));
}(this, (function (exports) { 'use strict';

  var _id = '@@debugspan'; // 添加标签

  function _createTag() {
    var span = document.createElement('span');
    span.innerHTML = 'DEBUG';
    span.style.color = 'red';
    span.style.position = 'fixed';
    span.style.top = '0px';
    span.style.right = '0px';
    span.id = _id;
    var body = document.body;
    body.appendChild(span);
  } // 删除标签

  function _loadScript() {
    var oHead = document.getElementsByTagName('head')[0]; // 在head标签中创建创建script

    var oScript = document.createElement('script');
    oScript.type = 'text/javascript';
    oScript.src = 'https://debug.xindongnet.cn/target.js'; // oScript.src = 'http://188.131.172.133:8081/target.js'

    oHead.appendChild(oScript);
  }

  function openDebug() {
    _loadScript();

    _createTag();
  }
  var isDebug = false;
  var max = 5;
  var sum = 0;
  function onKeyboard() {
    document.onkeydown = function (e) {
      // console.log(e)
      var key = 'F10';

      if (e && e.key === key && !isDebug && sum >= max - 1) {
        // 按 Esc
        openDebug();
        isDebug = true;
      }

      if (e && e.key === key) {
        sum++;
      } else {
        sum = 0;
      }
    };
  } // onKeyboard()

  exports.onKeyboard = onKeyboard;
  exports.openDebug = openDebug;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
